Bug 731034 - RPC Request Stacking Issues
RPC Request Stacking Issues
Status: ON_DEV
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 661536 676756 720038 726747
Blocks: rhq41-ui rhq-uxd
  Show dependency treegraph
 
Reported: 2011-08-16 10:22 EDT by Robert Buck
Modified: 2015-02-01 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Buck 2011-08-16 10:22:24 EDT
If multiple user-initiated events are triggered across a short time span, or events responses arrive after the user already moved to a new view, exceptions occur, or possibly may result in inconsistent views of state.

An approach which we will try is to introduce request ids and asserting that received responses are for the current request id. This will be mocked up in a branch so named after this bug id ("bug/nnnnn").
Comment 1 Charles Crouch 2012-07-09 13:39:52 EDT
I thought this effort held promise, but we were never able to get it fully working.

We still have the branch: http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=shortlog;h=refs/heads/bug/731034
with the couple of relevant commits near the top.

If there is agreement this approach still makes sense, it would probably be worth moving the relevant commits to a more recent branch and seeing if we can get it working.

Note You need to log in before you can comment on or make changes to this bug.